from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSQLErrorBroadcaster(XInterface, Protocol):
    def addSQLErrorListener(self, Listener: inXSQLErrorListener) -> None: ...
    def removeSQLErrorListener(self, Listener: inXSQLErrorListener) -> None: ...
